MerchantE API Docs
POST/webhooks/response-credit-card

Credit Card Transaction Response (Webhook)

HTTP POST callback sent to merchant's configured response_url after a credit card transaction has been processed.

You can set your Response URL in the Advanced URL Management section of the Settings and Configuration Page in the Hosted Payments Admin.

This is a server-to-server callback and is not directly invoked by the merchant.

Request Body

Content type: application/x-www-form-urlencoded

Common5 fields
resp_codestring
At this time, resp_code will always be 000 indicating an approved sale.
resp_textstring
A textual response for the transaction result.
tran_idstring
Transaction identifier.
tran_amountstring
The amount of the transaction.
tran_datestring
Timestamp of the transaction.
Format: MM/DD/YYYY HH:MM:SS AM/PM
When Provided5 fields
auth_codestring
Authorization code provided by the issuing bank.
card_idstring
The returned value is the token for the card which was stored.
hpp_tran_idstring
Hosted Payment Page transaction identifier.
invoice_numberstring
Identical to the request field of the same name.
client_ref_numberstring
Identical to the request field of the same name.
Other Fields7 fields
acct_numberstring
Truncated card or bank account number.
exp_datestring
Cardholder expiration date.
Format: MMYY
billing_addressstring
Street address entered by the cardholder during checkout.
billing_zipstring
ZIP Code entered by the cardholder during checkout.
currency_codestring
Currency code. Defaults to 840 – USD.
tran_typestring
The transaction type from the original request.
retrieval_ref_numberstring
12-digit MerchantE generated reference number.

Responses

200
Merchant acknowledges receipt of transaction response

Merchant acknowledges receipt of transaction response

Code samples

Copy-paste ready code in your preferred language to integrate the Hosted Payment Page.

Form POST

Copy/paste friendly
API call
curl -X POST "https://cert.hostedpayments.merchante.com/hpp/webhooks/response-credit-card" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "profile_id=xxxx4100006000500000001" \
  --data-urlencode "payment_amount=500.00" \
  --data-urlencode "invoice_number=INV-2023-001" \
  --data-urlencode "client_reference_number=REF-12345"